﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@Html.Partial("_PEBPartialScript")
@using SPEX.Models
@model List<mPEBTAM>
@using (Html.BeginForm("", "PEBSegmentD", FormMethod.Post))
{
    <div id="@string.Format("divChild{0}", ViewData["ContainerIndex"])">
        <table>
            <tr>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Container No";
                        label.Height = 25;
                        label.Width = 100;
                        label.Name = "lblContainerNo";
                    }).GetHtml()
                </td>
                <td style="width: 160px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = string.Format("I_CONTAINER_NO_{0}", ViewData["ContainerIndex"]);
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 160;
                        TextBox.ClientVisible = true;
                        TextBox.Enabled = true;
                        TextBox.Properties.MaxLength = 15;
                    }).GetHtml()
                </td>
                <td style="width: 50px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Container Segel";
                        label.Height = 25;
                        label.Width = 100;
                        label.Name = "lblContainerSegel";
                    }).GetHtml()
                </td>
                <td style="width: 160px">
                    @Html.DevExpress().TextBox(
                    TextBox =>
                    {
                        TextBox.Name = string.Format("I_CONTAINER_SEGEL_{0}", ViewData["ContainerIndex"]);
                        TextBox.Properties.EnableClientSideAPI = true;
                        TextBox.Width = 160;
                        TextBox.ClientVisible = true;
                        TextBox.Enabled = true;
                        TextBox.Properties.MaxLength = 15;
                    }).GetHtml()
                </td>
                <td style="width: 50px">
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Container Size";
                        label.Height = 25;
                        label.Name = "lblUkuran";
                    }).GetHtml()
                </td>
                <td style="width: 150px">
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = string.Format("I_CONTAINER_SIZE_{0}", ViewData["ContainerIndex"]);
                        settings.Width = 100;
                        settings.SelectedIndex = -1;
                        settings.Properties.DropDownWidth = 100;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "PEB", Action = "GetContainerSizeListMaster" };
                        //settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("SYSTEM_VALUE", "Container Size", 100);
                    }).BindList(ViewData["DataContainerSize"]).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                        button =>
                        {
                            button.Name = string.Format("cmdRemoveContainer_{0}", ViewData["ContainerIndex"]);
                            button.Width = 130;
                            button.Text = "Remove";
                            button.ClientSideEvents.Click = "function (s, e){$('#divChild" + ViewData["ContainerIndex"] + "').remove();}";
                            button.Style.Add("display", "inline-table");
                            button.UseSubmitBehavior = false;
                            button.ClientVisible = true;
                            //button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("Invoice", "", "CLEAR");
                        }
                        ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}
